<template>
  <i-frame :src="url"/>
</template>

<script>
import { getToken } from '@/utils/auth'
import { getBiUrl } from '@/api/tool/jimu'
import iFrame from '@/components/iFrame/index.vue'

export default {
  name: "ReportDesign",
  components: {
    iFrame
  },
  data() {
    return {
      url: `http://${window.location.hostname}:8099/drag/list?token=Bearer `+ getToken()
    }
  },
  created() {
    // this.init()
  },
  methods: {
    init() {
      getBiUrl().then(res => {
        this.url = res + "?token=Bearer " + getToken()
      })
    }
  }
}
</script>
